#include <kapp.h>
#include <kwm.h>
#include "cpu.moc"
#include <X11/Xlib.h>

#include <qtooltip.h>

//
// Create and display our CpuMonitor.
//

KApplication* app;

int main( int argc, char **argv )
{
    app = new KApplication( argc, argv, "kcpumon" );

    CpuMon* m_pMon = new CpuMon(0, 0, WStyle_NormalBorder);
    //    QToolTip::add(m_pMon, "ToolTip Text");

    // Since we aree intend to be swallowed by kpanel
    // Make sure that we do not grab mouse clicks
    //    XSelectInput(qt_xdisplay(), m_pMon->winId(), EnterWindowMask | LeaveWindowMask);

    app->setMainWidget(m_pMon );

    KWM::setDockWindow(m_pMon->winId());

    m_pMon->show();

    return app->exec();
}

